Update Metafield

Update a metafield.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Locations | read-only | `store_locations_read_only` | | Store Locations | modify | `store_locations` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

location_idintegerRequired
Unique identifier for a location.
metafield_idintegerRequired
Unique identifier for a metafield.

Request

keystringOptional1-64 characters

The name of the field, for example: location_id, color.

valuestringOptional1-65535 characters

The value of the field, for example: 1, blue.

namespacestringOptional1-64 characters
Namespace for the metafield, for organizational purposes.
permission_setenumOptional
Determines the visibility and writeability of the field by other API consumers. | Value | Description | | :--- | :--- | | `app_only` | Private to the app that owns the field. | | `read` | Visible to other API consumers. | | `write` | Open for reading and writing by other API consumers. | | `read_and_sf_access` | Visible to other API consumers, including on the storefront. | | `write_and_sf_access` | Open for reading and writing by other API consumers, including on the storefront. |
Allowed values:
descriptionstringOptional0-255 characters
Description for the metafields.

Response

The request has been successfully processed.
dataobject
Allows app partners to write custom data to various resources in the API.
metaobject

Errors

400
Bad Request Error
404
Not Found Error